# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++ libcurl-devel libsowing-devel libssl-devel libucl5-devel lua-devel perl(Dist/Zilla/Plugin/MakeMaker/Awesome.pm) perl(Encode.pm) perl(Exporter.pm) perl(ExtUtils/Constant.pm) perl(ExtUtils/MakeMaker.pm) perl(JSON/PP.pm) perl(List/Util.pm) perl(Moose.pm) perl(Sort/Naturally.pm) perl(Test/Differences.pm) perl(Test/Exception.pm) perl(Test/LeakTrace.pm) perl(Test/Most.pm) perl(XSLoader.pm) perl(base.pm)
# END SourceDeps(oneline)
%define module_name Config-UCL
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.05
Release: alt2
Summary: Perl bindings for libucl
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/B/BO/BOKUTIN/%{module_name}-%{version}.tar.gz

%description
    https://codeload.github.com/vstakhov/libucl/tar.gz/0.8.1?dummy=/vstakhov-libucl-0.8.1_GH0.tar.gz

    TIMESTAMP = 1542811208
    SHA256 (vstakhov-libucl-0.8.1_GH0.tar.gz) = a6397e179672f0e8171a0f9a2cfc37e01432b357fd748b13f4394436689d24ef
    SIZE (vstakhov-libucl-0.8.1_GH0.tar.gz) = 2028394

The test file is used.

    libucl-0.8.1/tests/basic/*.in
    libucl-0.8.1/tests/schema/*.json

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes LICENSE
%perl_vendor_archlib/C*
%perl_vendor_autolib/*

%changelog
* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 0.05-alt2
- rebuild with perl 5.38

* Tue Oct 26 2021 Igor Vlasenko <viy@altlinux.ru> 0.05-alt1
- initial import by package builder

